# Resolvers list

A list of domain servers for DNSCrypt

Usage:

```toml
  [sources.'extra-resolvers']
    urls = ['https://c.fridu.us/services/resolvers-list.git/plain/extra-resolvers.md', 'https://git.sr.ht/~heckyel/resolvers-list/blob/master/extra-resolvers.md']
    cache_file = '/var/cache/dnscrypt-proxy/extra-resolvers.md'
    minisign_key = 'RWQIrgNLO4JgxhKU+K5L+z8Y0YTDZv68NZQ5hOAoBT1/admHrfLt9Eyl'
    refresh_delay = 72
    prefix = ''
```

## Signed

Legacy format

```console
minisign -S -l -m extra-resolvers.md
```

## AdGuard

```console
grep -o 'sdns://[^ ]*' extra-resolvers.md > list-ag-sdns.txt
```

## Tools

### Checker

To verify DNSSEC support for the resolvers, use the checker.bash script:

```sh
bash tools/checker.bash
```

### DoH

To verify DoH servers, use the doh.bash script:

```sh
bash tools/doh.bash
```

### License

This work is licensed under the [GNU GPLv3+](LICENSE)
