#!/bin/bash

servers=(
    "resolver1.dns.watch/dns-query"
)

domain="sigok.ippacket.stream"

test_doh() {
    local server="$1"
    host=$(echo "$server" | sed -E 's~https?://([^/]+)/.*~\1~')
    response=$(dig +https @"$host" "$domain" A +short 2>/dev/null)

    if [[ -n "$response" ]]; then
        echo "✅ $server - Responde con: $response"
    else
        echo "❌ $server - No respondió correctamente"
    fi
}

echo "Verificando servidores DoH..."
for server in "${servers[@]}"; do
    test_doh "$server"
done
